Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.management.j2ee.statistics
Class JVMStatsImpl

    java.lang.Object
      org.jboss.management.j2ee.statistics.StatsBase
          org.jboss.management.j2ee.statistics.JVMStatsImpl

All Implemented Interfaces:
  javax.management.j2ee.statistics.JVMStats, Serializable, javax.management.j2ee.statistics.Stats

public class JVMStatsImpl
extends StatsBase
implements javax.management.j2ee.statistics.JVMStats

The JSR77.6.32 JMVStats implementation

Version:
  $Revision: 1.4 $
Author:
  Scott.Stark@jboss.org
See Also:
  Serialized Form

Constructor Summary
`JVMStatsImpl()`
`JVMStatsImpl(javax.management.j2ee.statistics.CountStatistic upTime, javax.management.j2ee.statistics.BoundedRangeStatistic heapSize)`

Method Summary
`javax.management.j2ee.statistics.BoundedRangeStatistic` | `getHeapSize()` Size of the JVM's heap.
`javax.management.j2ee.statistics.CountStatistic` | `getUpTime()` Amount of time the JVM has been running.

Methods inherited from class org.jboss.management.j2ee.statistics.StatsBase
`addStatistic, getStatistic, getStatisticNames, getStatistics, reset, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.management.j2ee.statistics.Stats
`getStatistic, getStatisticNames, getStatistics`

Constructor Detail

### JVMStatsImpl

    public JVMStatsImpl()

### JVMStatsImpl

    public JVMStatsImpl(javax.management.j2ee.statistics.CountStatistic upTime,
                        javax.management.j2ee.statistics.BoundedRangeStatistic heapSize)

Method Detail

### getUpTime

    public javax.management.j2ee.statistics.CountStatistic getUpTime()

  Description copied from interface: `javax.management.j2ee.statistics.JVMStats`
  Amount of time the JVM has been running.

  Specified by:
    `getUpTime` in interface `javax.management.j2ee.statistics.JVMStats`

### getHeapSize

    public javax.management.j2ee.statistics.BoundedRangeStatistic getHeapSize()

  Description copied from interface: `javax.management.j2ee.statistics.JVMStats`
  Size of the JVM's heap.

  Specified by:
    `getHeapSize` in interface `javax.management.j2ee.statistics.JVMStats`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.